local AddonName, a = ...

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff

-- Spell table references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-s-castable

local Score = 0

local function Sanitize(str)
	str = string.gsub(str,"-","")
	str = string.gsub(str," ","")
	return str
end

local Me = UnitName("player") .. "-" .. Sanitize(GetRealmName())

local Forbidden_Words={}
Forbidden_Words.retard=1
Forbidden_Words.gold=1
Forbidden_Words.lfr = 1
Forbidden_Words.dungeon = 1
Forbidden_Words.instance = 1
Forbidden_Words.die = 1
Forbidden_Words.takigawa = 1
Forbidden_Words.danielblake = 1
Forbidden_Words.solna = 1
Forbidden_Words.raid = 1
Forbidden_Words.loot = 1
Forbidden_Words.reins = 1
Forbidden_Words.noob = 1
Forbidden_Words.go = 1
Forbidden_Words.sec = 1
Forbidden_Words.brb = 1

local function CheckSentance(text)
	sentance = {}
	text = string.gsub(text,"|%w+|Hitem:%d+:%d*:%d*:%d*:%d*:%d*:%d*:%d*:%d*:%d*|h%[([%w ]+)%]|h|r","%1")
	local trans = 0
	for w in string.gmatch(text, "[^ ,.!?\"]+") do
		w = string.lower(w)
		if Forbidden_Words[w] then
			trans = trans + 1
		end
	end
	if trans > 0 then
		Score = Score + trans
		SendChatMessage(trans .. " forbidden words detected, total " .. Score,"EMOTE")
	end
end

local Chats = {}
Chats.CHAT_MSG_PARTY_LEADER = 1
Chats.CHAT_MSG_SAY = 1
Chats.CHAT_MSG_PARTY = 1
Chats.CHAT_MSG_BN_WHISPER=1
Chats.CHAT_MSG_WHISPER_INFORM=1
Chats.CHAT_MSG_RAID = 1

function Forbidden_OnEvent(self, event, arg1, arg2)
	if Chats[event] then
		if arg2 == Me then
			CheckSentance(arg1)
		end
	end
end

Forbidden = CreateFrame("Frame")
Forbidden:SetScript("OnEvent", Forbidden_OnEvent)
for a,b in pairs(Chats) do
	Forbidden:RegisterEvent(a)
end